Subject: Re: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Dec 2021 15:09:29 +0200

> From: Kévin Le Gouguec <[email-masked]>
> Date: Sun, 19 Dec 2021 13:10:37 +0100
> Cc: [email-masked], Rudolf Adamkovič <[email-masked]>
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > So I seem to be unable to reproduce the problem (on Debian/bookworm).
> > Are there any additional steps needed?
> 
> Try removing the extra newline between "#+end_quote" and "* baz".
> 
> AFAIR this is a long-standing issue in outline, to reproduce without Org
> nor specific themes:
> 
> 1. emacs -Q
> 2. C-x b repro
> 3. M-x outline-mode
> 4. type in: "* foo RET bar RET * baz"
> 5. move to "bar"
> 6. M-: 
>    (add-text-properties
>     (point-at-bol)
>     (1+ (point-at-eol))
>     '(font-lock-face (:background "red")))
> 7. S-TAB (to fold all sections)
> 
> Here, I see a single column with red background after the ellipses.

Why is that a problem?  That single column has buffer position 10, and
is the only visible buffer position that has the red color before
S-TAB.

So I think Emacs behaves as expected here.